commit:     e469889d401e401f90f517ccc95eb5394b810bee
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  3 10:58:25 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug  3 11:12:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e469889d

dev-python/clang-python: Bump to 13.0.0rc1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/clang-python/Manifest                   |  1 +
 .../clang-python/clang-python-13.0.0_rc1.ebuild    | 41 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index 104b03477e7..b6a66e33b83 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -2,3 +2,4 @@ DIST llvmorg-10.0.1.tar.gz 120880730 BLAKE2B 
30f19f56c4d1f6abcda5fec76256219d1e3
 DIST llvmorg-11.1.0.tar.gz 122776532 BLAKE2B 
ca842ff4afff8f44c82b5e7383962a9c45ca1c93b64fa4c6ebcd70a1d3849dbad2b8e4e24fba02d144c6266d7fab3607ebc6999b28c229cb35256cf40f26a985
 SHA512 
9a8ce022a935eed42fa71a224f2a207122aadcbef58ee855fdb4825f879e7d028e4dcff22c19b9d336db1c8bf63fb84372d44981acf84615f757e54306c92b81
 DIST llvmorg-12.0.0.tar.gz 134226215 BLAKE2B 
f9c3ba8c58571855caa4f206fd285c9b5be66672fb0814cb8bc0964a051f57f5d35013aa1e27cbda502652b37df1ec23474129109e76a42066847860db441dbe
 SHA512 
0cff02155c5ac0d6db2b72d60d9819d5b5dd859663b45f721b1c7540239c2fceb1f57d9173f6870c49de851c242ed8e85c5c6d6577a1f8092a7c5dcd12513b26
 DIST llvmorg-12.0.1.tar.gz 134259748 BLAKE2B 
f41de787bc73ff2edfda1b22cc8602be6f65f37dd9e4c8888533cfa8c3ccdcf4f108aaab9de23ab0ab987966eb160f2a553a0bdff99461e71ddd5bfcd086090d
 SHA512 
6eb0dc18e2c25935fabfdfc48b0114be0939158dfdef7b85b395fe2e71042672446af0e68750aae003c9847d10d1f63316fe95d3df738d18f249174292b1b9e1
+DIST llvmorg-13.0.0-rc1.tar.gz 147235597 BLAKE2B 
089fed119dee8a16f278cebb13808bd5a95629cc87ebee3050225cc041b78fee51acacc5bcc913d4a99e830bfe5774b19a04a845293c5087dd2a8c9d94d2fde9
 SHA512 
6e307e2c2dcb7ff41d11ee29d69f41c0ef55f200999847a3a924a2e773fc9c2160015746789af8b723c628bd232f97fce63370209bd0065491d80b0cc0017e85

diff --git a/dev-python/clang-python/clang-python-13.0.0_rc1.ebuild 
b/dev-python/clang-python/clang-python-13.0.0_rc1.ebuild
new file mode 100644
index 00000000000..921f7735340
--- /dev/null
+++ b/dev-python/clang-python/clang-python-13.0.0_rc1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..10} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/";
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+RDEPEND="
+       >=sys-devel/clang-${PV}:*
+       !sys-devel/llvm:0[clang(-),python(-)]
+       !sys-devel/clang:0[python(-)]
+       ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+       "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+       python_foreach_impl python_test
+}
+
+src_install() {
+       python_foreach_impl python_domodule clang
+}

Reply via email to